from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextRange

@runtime_checkable
class XSimpleText(XTextRange, Protocol):
    def createTextCursor(self) -> XTextCursor: ...
    def createTextCursorByRange(self, aTextPosition: XTextRange) -> XTextCursor: ...
    def insertString(self, xRange: XTextRange, aString: str, bAbsorb: bool) -> None: ...
